# Cesium3DTilesetVisualizer

#### new Cesium.Cesium3DTilesetVisualizer(scene, entityCollection)
DataSources/Cesium3DTilesetVisualizer.js 22

A `Visualizer` which maps `Entity#tileset` to a `Cesium3DTileset`.

Name | Type | Description
--- | --- | ---
`scene` | Scene | The scene the primitives will be rendered in.
`entityCollection` | EntityCollection | The entityCollection to visualize.

### Methods

#### destroy()
DataSources/Cesium3DTilesetVisualizer.js 139

Removes and destroys all primitives created by this instance.

#### isDestroyed() → Boolean
DataSources/Cesium3DTilesetVisualizer.js 132

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.

#### update(time) → Boolean
DataSources/Cesium3DTilesetVisualizer.js 52

Updates models created this visualizer to match their Entity counterpart at the given time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to update to.

##### Returns:

This function always returns true.